=== debian/changelog ===
ledger (3.1+dfsg1-5) unstable; urgency=medium

  * Cherry pick upstream commits bcaca2 and a1cb25 to fix FTBFS with boost
	  1.58
  * Rebuild with gcc 5

 -- David Bremner <bremner@debian.org>  Wed, 12 Aug 2015 10:01:58 +0200

ledger (3.1+dfsg1-4) experimental; urgency=medium

  * Add python-ledger binary package (Closes: #704980).

 -- David Bremner <bremner@debian.org>  Mon, 19 Jan 2015 08:31:23 +0100

ledger (3.1+dfsg1-2) unstable; urgency=medium

  * Cherry pick patches for Emacs ledger-mode (ledger-el) from
    upstream (Closes: #769454).
    - fix for completely broken M-p in Emacs ledger-mode
    - fixes for syntax highlightling in ledger-mode

 -- David Bremner <bremner@debian.org>  Wed, 03 Dec 2014 22:25:08 +0100

ledger (3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- David Bremner <bremner@debian.org>  Wed, 08 Oct 2014 19:20:38 +0200
