=== debian/control ===
Source: ledger
Section: utils
Priority: optional
Maintainer: Matt Palmer <mpalmer@debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 8), cmake, libgmp3-dev, libpcre3-dev,
	libexpat1-dev, libofx-dev, libmpfr-dev, libboost-regex-dev,
	libboost-date-time-dev, libboost-filesystem-dev,
	libboost-iostreams-dev, libboost-serialization-dev,
	libboost-test-dev, man2html-base, python, texinfo, texlive,
	libutfcpp-dev, libboost-python-dev, dh-python
Standards-Version: 3.9.3
Homepage: http://ledger-cli.org
Vcs-Git: git://anonscm.debian.org/git/collab-maint/ledger.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ledger.git;a=summary

Package: ledger
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line double-entry accounting program
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.

Package: ledger-el
Architecture: all
Depends: ${misc:Depends}, emacsen-common
Conflicts: emacsen-common (<< 2.0.0)
Breaks: ledger (<< 3.0.0~20140226+bedae81+dfsg1-2)
Replaces: ledger (<< 3.0.0~20140226+bedae81+dfsg1-2)
Description: command-line double-entry accounting program (emacs interface)
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.
 .
 This package provides the emacs interface.

Package: python-ledger
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: command-line double-entry accounting program (python extension)
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.
 .
 This package provides the python module
