## ledger 3.1.1%2Bdfsg1

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,10 @@
 # • Doxygen / reference documentation: if USE_DOXYGEN is set
 
 ########################################################################
+
+configure_file(
+  ${PROJECT_SOURCE_DIR}/doc/version.texi.in
+  ${PROJECT_BINARY_DIR}/doc/version.texi)
 
 if (USE_DOXYGEN)
   find_package(Doxygen)
@@ -26,6 +30,11 @@
 endif()
 
 ########################################################################
+
+# BUILD_WEB_DOCS implies BUILD_DOCS
+if (BUILD_WEB_DOCS)
+  set(BUILD_DOCS 1)
+endif()
 
 if (BUILD_DOCS)
   find_program(MAKEINFO makeinfo)
