=== contrib/Makefile ===
all: ParseCcStmt.exe

ParseCcStmt.exe: ParseCcStmt.cs CSVReader.cs
	gmcs -out:ParseCcStmt.exe ParseCcStmt.cs CSVReader.cs
