=== debian/changelog ===
ledger (3.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #813780).
  * Bug fix: "please add dependency “Suggests: ledger”", thanks to Ben
	  Finney (Closes: #766593).
  * Bug fix: "Debian package does not include upstream commenting-out
	  keybinding (M-; )", thanks to gwern (Closes: #775440).

  [ Ben Finney ]

  * Update license grant text for ‘lisp/*’ to match upstream.
    (Closes: Bug#809929)

 -- David Bremner <bremner@debian.org>  Sun, 14 Feb 2016 22:28:14 -0400

ledger (3.1+dfsg1-7) unstable; urgency=medium

  * Bug fix: "FTBFS when built with dpkg-buildpackage -A (no binary
	  artifacts)", thanks to Santiago Vila (Closes: #805945).

 -- David Bremner <bremner@debian.org>  Sat, 28 Nov 2015 13:40:32 -0400

ledger (3.1+dfsg1-6) unstable; urgency=medium

  * Add debug package, thanks to Adrian Lang
  * Assert compliance with standards version 3.9.6

 -- David Bremner <bremner@debian.org>  Tue, 25 Aug 2015 13:10:54 -0300
