=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 	libboost-date-time-dev, libboost-filesystem-dev,
 	libboost-iostreams-dev, libboost-serialization-dev,
 	libboost-test-dev, man2html-base, python, texinfo, texlive,
-	libutfcpp-dev, libboost-python-dev, dh-python
-Standards-Version: 3.9.3
+	libutfcpp-dev, libboost-python-dev, dh-python,
+	dh-strip-nondeterminism
+Standards-Version: 3.9.6
 Homepage: http://ledger-cli.org
 Vcs-Git: git://anonscm.debian.org/git/collab-maint/ledger.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ledger.git;a=summary
@@ -29,6 +30,8 @@
 Conflicts: emacsen-common (<< 2.0.0)
 Breaks: ledger (<< 3.0.0~20140226+bedae81+dfsg1-2)
 Replaces: ledger (<< 3.0.0~20140226+bedae81+dfsg1-2)
+Suggests: ledger
+Enhances: ledger
 Description: command-line double-entry accounting program (emacs interface)
  Ledger is a powerful and flexible double-entry accounting system run
  entirely from the command line.  Your accounts ledger is stored in one or
@@ -48,3 +51,18 @@
  does the hard work of balancing your books and reporting.
  .
  This package provides the python module
+
+Package: ledger-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends:
+    ledger (= ${binary:Version}),
+    ${misc:Depends}
+Description: command-line double-entry accounting program (debug symbols)
+ Ledger is a powerful and flexible double-entry accounting system run
+ entirely from the command line.  Your accounts ledger is stored in one or
+ more plain-text files with a very simple and readable format, and ledger
+ does the hard work of balancing your books and reporting.
+ .
+ This package contains the debugging symbols for ledger.
