=== debian/rules ===
--- 
+++ 
@@ -38,11 +38,16 @@
 		-DBUILD_DOCS=1 -DBUILD_WEB_DOCS=1 -DUSE_PYTHON=ON
 	touch $@
 
-build-indep build-arch: build
+build: build-indep build-arch
+binary: binary-indep binary-arch
+install: install-indep install-arch
 
-build: build-stamp
+build-indep:
+# We have nothing to do by default.
 
-build-stamp:  config-stamp
+build-arch: build-arch-stamp
+
+build-arch-stamp:  config-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -59,41 +64,64 @@
 
 	dh_clean 
 
-install: build
-	dh_testdir
-	dh_testroot
-	dh_prep 
-	dh_installdirs
+install-arch: build-arch
+	dh_testdir -a
+	dh_testroot -a
+	dh_prep -a
+	dh_installdirs -a
 
 	$(MAKE) -C$(BUILDDIR) DESTDIR=$(CURDIR)/debian/tmp install
 
-	dh_install
+	dh_install -a
+
+# no upstream install currently needed for arch-indep packages
+install-indep: build-indep
+	dh_testdir -i
+	dh_testroot -i
+	dh_prep -i
+	dh_installdirs -i
+	dh_install -i
+
 
 # Build architecture-independent files here.
-binary-indep: build install
-# We have nothing to do by default.
+binary-indep: build-indep install-indep
+	dh_testroot -i
+	dh_prep -i
+	dh_installdirs -i
+	dh_install -i
+	dh_installdocs -i
+	dh_installchangelogs -i
+	dh_installexamples -i
+	dh_installman -i
+	dh_installemacsen -i
+	dh_strip_nondeterminism -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
+
 
 # Build architecture-dependent files here.
-binary-arch: build install
-	dh_testdir
-	dh_testroot
-	dh_installchangelogs
-	dh_installdocs
-	dh_installemacsen
-	dh_installexamples
-	dh_python2
+binary-arch: build-arch install-arch
+	dh_testdir -a
+	dh_testroot -a
+	dh_installchangelogs -a
+	dh_installdocs -a
+	dh_installexamples -a
+	dh_python2 -a
 	dh_installinfo $(BUILDDIR)/doc/ledger3.info*
-	dh_installman
-	dh_strip
-	dh_compress -X.pdf
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps -l$(CURDIR)/debian/ledger/usr/lib/ledger
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary: binary-indep binary-arch
+	dh_installman -a
+	dh_strip --dbg-package=ledger-dbg
+	dh_strip_nondeterminism -a
+	dh_compress -a -X.pdf
+	dh_fixperms -a
+	dh_installdeb -a
+	dh_shlibdeps -a -l$(CURDIR)/debian/ledger/usr/lib/ledger
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 get-orig-source: 
 	bash debian/get-orig-source.sh ${UPSTREAM} upstream/${UPSTREAM}
